package de.effigenix.infrastructure.production.persistence.repository;

import de.effigenix.infrastructure.production.persistence.entity.BatchEntity;
import org.springframework.data.jpa.repository.JpaRepository;

import java.time.LocalDate;
import java.util.List;
import java.util.Optional;

public interface BatchJpaRepository extends JpaRepository<BatchEntity, String> {

    Optional<BatchEntity> findByBatchNumber(String batchNumber);

    List<BatchEntity> findByStatus(String status);

    List<BatchEntity> findByProductionDate(LocalDate productionDate);

    List<BatchEntity> findByRecipeIdIn(List<String> recipeIds);
}
